%define anolis_release 4
%{?python_enable_dependency_generator}

Name:           python-nocaselist
Version:        1.0.6
Release:        %{anolis_release}%{?dist}
Summary:        A case-insensitive list for Python
License:        Apache-2.0
URL:            https://github.com/pywbem/nocaselist
Source0:        https://github.com/pywbem/nocaselist/archive/%{version}/nocaselist-%{version}.tar.gz
BuildRequires:  python3-setuptools python3-devel
BuildArch:      noarch

%description
Class NocaseList is a case-insensitive list that preserves the lexical case of its items.

%package -n python3-nocaselist
Summary:        A case-insensitive list for Python
BuildArch:      noarch

%description -n python3-nocaselist
Class NocaseList is a case-insensitive list that preserves the lexical case of its items.

%package -n python3-nocaselist-doc
Summary:        Doc files for %{name}
Requires:       python3-nocaselist = %{EVR}
BuildArch:      noarch

%description -n python3-nocaselist-doc
Doc files for python3-nocaselist

%prep
%autosetup -p1 -n nocaselist-%{version}

%build
CFLAGS="%{optflags}" %{__python3} setup.py build


%install
rm -rf %{buildroot}
env PYTHONPATH=%{buildroot}/%{python3_sitelib} \
    %{__python3} setup.py install -O1 --skip-build --root %{buildroot}

%files -n python3-nocaselist
%license LICENSE
%{python3_sitelib}/*.egg-info
%{python3_sitelib}/nocaselist/

%files -n python3-nocaselist-doc
%doc README.rst

%changelog
* Tue Mar 12 2024 Zhao Hang <wb-zh951434@alibaba-inc.com> - 1.0.6-4
- Rebuild with python3.11

* Wed Dec 13 2023 mgb01105731 <mgb01105731@alibaba-inc.com> - 1.0.6-3
- rebuild

* Mon Mar 27 2023 Chunmei Xu <xuchunmei@linux.alibaba.com> - 1.0.6-2
- correct license

* Sat Mar 25 2023 Chunmei Xu <xuchunmei@linux.alibaba.com> - 1.0.6-1
- init from upstream
